For the latest news and information visit The GNU Crypto project

## gnu.crypto.assembly
Class Direction

    java.lang.Object
      |
      +--gnu.crypto.assembly.Direction

public final class Direction
extends java.lang.Object

An enumeration type for wiring `Stage` instances into `Cascade` Cipher chains, as well as for operating a `Cascade` in a given direction.

The possible values for this type are two:

1. FORWARD: equivalent to `IMode.ENCRYPTION`, and its inverse value
2. REVERSED: equivalent to `IMode.DECRYPTION`.

Field Summary
`static Direction` `FORWARD`
`static Direction` `REVERSED`

Method Summary
`static Direction` `reverse(Direction d)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FORWARD

    public static final Direction FORWARD

### REVERSED

    public static final Direction REVERSED

Method Detail

### reverse

    public static final Direction reverse(Direction d)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.